<?php get_header(); ?>
<?php get_sidebar(); ?>
<div class="main-content">
  <?php if (have_posts()) : ?>
  <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
<?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="pagetitle"><?php echo single_cat_title(); ?> Category</h2>

 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle"><?php the_time('F jS, Y'); ?> Archive</h2>

	 <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle"><?php the_time('F, Y'); ?> Archive</h2>

		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle"><?php the_time('Y'); ?> Archive</h2>

	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle">Author Archive</h2>

		<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle">Blog Archives</h2>

		<?php } ?>
		<?php while (have_posts()) : the_post(); ?>
		
    <h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
				<small><?php the_time('F jS, Y') ?> by <?php the_author() ?> in <?php the_category(', ') ?></small>

				<div class="entry">
					<?php the_content('Read the rest of this entry &raquo;'); ?>
				</div>

				<p class="postmetadata"><a href="<?php bloginfo('url'); ?>/wp-admin/post.php?action=edit&amp;post=<?php the_ID(); ?>"><img border="0" src="<?php bloginfo('template_directory'); ?>/images/pageedit.png" alt="Edit Page" /></a>&nbsp;&nbsp;<a href="<?php comments_link(); ?>"><img border="0" src="<?php bloginfo('template_directory'); ?>/images/comment.png" alt="Comments" /></a>&nbsp;&#187;</p>
				<hr />

		<?php endwhile; ?>

			<div class="previouspost"><?php next_posts_link('&laquo; Previous Entries') ?></div>
			<div class="nextpost"><?php previous_posts_link('Next Entries &raquo;') ?></div>

	<?php else : ?>

		<h2 class="center">Not Found</h2>
		<p class="center">Sorry, but you are looking for something that isn't here.</p>
		<?php include (TEMPLATEPATH . "/searchform.php"); ?>

	<?php endif; ?>
</div>
<?php get_footer(); ?>
