<?php
if ( function_exists('register_sidebar') )
    register_sidebar();
?>
<?php

define('HEADER_TEXTCOLOR', 'FFFFFF');
define('HEADER_DESC', '000000');
define('HEADER_IMAGE', '%s/images/roundedheader.png'); // %s is theme dir uri
define('HEADER_IMAGE_WIDTH', 821);
define('HEADER_IMAGE_HEIGHT', 110);

function header_style() {
?>
<style type="text/css">
.header{
	background: url(<?php header_image() ?>) no-repeat;
	height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
	width:<?php echo HEADER_IMAGE_WIDTH; ?>px;
  height: 110px;
  padding: 0;
  margin: 0;
  text-align: right;
}
<?php if ( 'blank' == get_header_textcolor() ) { ?>
.header h3, .header p {
	display: none;
}
<?php } else { ?>
.header h3 a, .header p {
	color:#<?php header_textcolor() ?>;
}

<?php } ?>
</style>
<?php
}

function admin_header_style() {
?>
<style type="text/css">
.header{
	background: url(<?php header_image() ?>) no-repeat;
	height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
	width:<?php echo HEADER_IMAGE_WIDTH; ?>px;
  height: 110px;
  padding: 0;
  margin: 0;
  text-align: right;
}

.header h3 {
	padding: 40px 30px 0 20px;
  margin: 0;
}
.header h3 a{
	color:#<?php header_textcolor() ?>;
	text-decoration: none;
	border-bottom: none;
}
.header p{
	color:#<?php echo HEADER_DESC ?>;
	font-size:0.7em;
	margin-top:-0.5em;
}

<?php if ( 'blank' == get_header_textcolor() ) { ?>
.header h3, .header p {
	display: none;
}
.header h3 a, .header p {
	color:#<?php echo HEADER_TEXTCOLOR ?>;
}

<?php } ?>

</style>
<?php
}

add_custom_image_header('header_style', 'admin_header_style');

?>
