<?php get_header(); ?>
<?php get_sidebar(); ?>
<div class="main-content">
  <?php if (have_posts()) : ?>
		<?php while (have_posts()) : the_post(); ?>
		
    <h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
				<small>Written on <?php the_time('l, F jS, Y') ?> at <?php the_time() ?> by <?php the_author() ?><br />Filed under <?php the_category(', ') ?>. </small>

				<div class="entry">
					<?php the_content('Read the rest of this entry &raquo;'); ?>
				</div>
				
				<p class="postmetadata-alt">
					<small>
						<a href="<?php bloginfo('comments_rss2_url'); ?>"><img border="0" src="<?php bloginfo('template_directory'); ?>/images/feed-icon-14x14.png" alt="RSS Feed" /></a>
            <?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Both Comments and Pings are open ?>
            &nbsp;&nbsp;<a href="<?php trackback_url(); ?>"><img border="0" src="<?php bloginfo('template_directory'); ?>/images/trackback.png" alt="Trackback URL" /></a>&nbsp;&nbsp;<a href="#respond"><img border="0" src="<?php bloginfo('template_directory'); ?>/images/addcomment.png" alt="Add comment" /></a>

						<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Only Pings are Open ?>
							&nbsp;&nbsp;<a href="<?php trackback_url(); ?>"><img border="0" src="<?php bloginfo('template_directory'); ?>/images/trackback.png" alt="Trackback" /></a>

						<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Comments are open, Pings are not ?>
							&nbsp;&nbsp;<a href="#respond"><img border="0" src="<?php bloginfo('template_directory'); ?>/images/addcomment.png" alt="Add comment" /></a>

						<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Neither Comments, nor Pings are open ?>
							Sorry, we're not taking comments or pings.

						<?php } ?>&nbsp;&nbsp;<a href="<?php bloginfo('url'); ?>/wp-admin/post.php?action=edit&amp;post=<?php the_ID(); ?>"><img border="0" src="<?php bloginfo('template_directory'); ?>/images/pageedit.png" alt="Edit Page" /></a>

					</small>
				</p>

    <?php comments_template(); ?>
		<?php endwhile; ?>

			<div class="previouspost">&laquo; <?php previous_post_link('%link'); ?></div>
			<div class="nextpost"><?php next_post_link('%link'); ?> &raquo;</div>

	<?php else : ?>

		<h2 class="center">Not Found</h2>
		<p class="center">Sorry, but you are looking for something that isn't here.</p>
		<?php include (TEMPLATEPATH . "/searchform.php"); ?>

	<?php endif; ?>
</div>
<?php get_footer(); ?>
